#ifndef __IDF_EVENT_H__
#define __IDF_EVENT_H__
#ifdef ESP_PLATFORM

#include "esp_event.h"
#include "configulator.h"

ESP_EVENT_DECLARE_BASE(CFGLR_EVENT_BASE);

uint8_t cfglr_signaler_idf_init(cfglr_signaler_t *signaler, cfglr_handle_t *handle);
uint8_t cfglr_signaler_idf_dispatch(cfglr_signaler_t *signaler, cfglr_element_t *element, cfglr_signal_e sig);

#define CFGLR_SIGNALER_IDF_EVENT() {\
  .dispatch = &cfglr_signaler_idf_dispatch,\
}

#endif
#endif
